/*! GENERAL SETUP */
:root {
  --HomeBG: rgba(24, 24, 24, 1);
  --Homesecondary: #e7e7e7;
  --white: #ffffff;
}

html {
  font-size: 0.053vw;
  user-select: none;
}
/* disable scroll */
.control input {
  position: absolute;
  top: -1000rem;
  left: -1000rem;
  background-color: red;
  z-index: 100000;
}

body {
  background-color: var(--HomeBG);
  /* background: linear-gradient(
    45deg,
    rgba(24, 24, 24, 1) 0%,
    var(--HomeBG) 50%,
    rgba(24, 24, 24, 1) 100%
  ); */
  transition: color 0.3s cubic-bezier(0.34, 0.73, 0.25, 0.97),
    background-color 1.5s ease-out;
  font-size: 10rem;
  overflow: hidden;
}
a,
button {
  font-family: "Oswald", sans-serif;
  font-size: 12rem;
  font-weight: bold;
  color: var(--white);
  letter-spacing: 0.8rem;
}
span {
  display: inline-block;
  overflow: hidden;
}

/* ?page about */

.aboutPage {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 5;
  width: 100vw;
  height: 100vh;
  background-color: var(--HomeBG);
  opacity: 0;
  pointer-events: none;
  transition: opacity 1.5s ease-out;
}
.aboutPage .lines {
  width: 100%;
  height: 100%;
}
.aboutPage .lines .vertical {
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--Homesecondary);
  width: 1px;
  height: 0%;
  transition: height 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
  opacity: 0.3;
}
.aboutPage .lines .horizontal {
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--Homesecondary);
  width: 0%;
  height: 1px;
  transition: width 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
  opacity: 0.3;
}

.aboutGrid {
  display: grid;
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: repeat(5, 1fr);
}

.cellule {
  /* border: 1rem solid red; */
  text-align: left;
  padding: 20rem;
  color: rgba(255, 255, 255, 0.658);
  display: flex;
  flex-direction: column;
}
.cellule span {
  display: inline-block;
  margin-bottom: 3rem;
}
.cellule .grid_number {
  margin-bottom: 10rem;
}
.cellule span p {
  font-family: "consolas", sans-serif;
  letter-spacing: 1rem;
  text-transform: uppercase;
  font-weight: normal;
  font-size: 12rem;
}
.text p {
  transform: translateY(100%);
  transition: all 0.3s ease-out;
}

.grid_number p {
  font-family: "Oswald", sans-serif !important;
  transform: translateY(100%);
  transition: all 0.3s ease-out;
}
.cellule-large {
  grid-column: span 2; /* Occupe 2 colonnes */
}

.cellule-haute {
  grid-row: span 3; /* Occupe 3 lignes */
}

/*? header */
.header {
  width: 100%;
  display: flex;
  position: absolute;
  top: 0;
  left: 0;
  justify-content: space-between;
  align-items: center;
  transition: color 0.3s cubic-bezier(0.34, 0.73, 0.25, 0.97),
    background-color 1.5s ease-out;
  z-index: 10;
}
.header span {
  margin-right: 75rem;
  text-transform: uppercase;
  transition: color 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
  margin-top: 50rem;
}
.header .logo a {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header a svg {
  margin-left: 75rem;
  margin-bottom: -5rem;
}
.header a svg path {
  fill: var(--Homesecondary);
  transition: fill 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
}
.logoHeader {
  transition: all 0.3s ease-out;
  transform: translateY(100%);
  width: 75rem;
}
.nav_link {
  transition: all 0.3s ease-out;
  display: block;
  transform: translateY(100%);
}
.nav_link_close {
  transition: all 0.3s ease-out;
  display: block;
  transform: translateY(0%);
  text-align: center;
}
.about {
  height: 12rem;
  overflow: hidden;
}

/*? footer */

.footer {
  width: 100%;
  position: absolute;
  z-index: 10;
  bottom: 0;
  left: 0;
  display: flex;
  justify-content: right;
}

.footer .footer_nav {
  margin-bottom: 50rem;
  margin-right: 75rem;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  text-align: right;
}
.footer .footer_nav span {
  margin-bottom: 10rem;
}
.footer .footer_nav span a {
  transition: all 0.3s ease-out;
  transform: translateY(105%);
}

.footer_email_nav_link {
  transition: color 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
}
.footer_insta_nav_link {
  transition: color 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
}

.footer .footer_nav a {
  display: inline-block;
  text-align: right;
  margin-left: auto;
  font-weight: bold;
}

/*? Page Title */
.top_page_title,
.bottom_page_title {
  font-family: "Oswald", sans-serif;
  font-size: 90rem;
  color: var(--HomeBG);
  text-transform: uppercase;
  position: absolute;
  left: 50%;
  user-select: none;
  transition: color 1.5s ease-out, filter 0.8s ease-out;
  width: 100%;
  text-align: center;
}
.top_page_title {
  top: 35rem;
  transform: translateX(-50%);
}
.bottom_page_title {
  bottom: 35rem;
  transform: translateX(-50%);
}
.top_page_title-container,
.bottom_page_title-container {
  position: absolute;
  width: 400rem;
  height: 0rem;
  display: flex;
  justify-content: center;
  background-color: var(--HomeBG);
  transition: height 0.5s ease-out;
}
.top_page_title-container {
  top: 0;
  left: 50%;
  transform: translateX(-50%);
}
.bottom_page_title-container {
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

/*? Home page */

.home {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.projects_wrapper {
  height: 350rem;
  position: relative;
  display: flex;
  column-gap: 10rem;
  transition: all 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
}
.project {
  height: 100%;
  display: flex;
  width: 0rem;
  position: relative;
  overflow: hidden;
  z-index: 1;
  transform-origin: left;
  transition: width 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97),
    filter 0.3s ease-out, opacity 0.8s ease-out;
  filter: saturate(0.1) brightness(0.5);
}

.project figure {
  position: absolute;
  overflow: hidden;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.project figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s ease-out;
}
.sliderGalerieItem {
  position: absolute;
  top: 0;
  left: 100%;
  width: 100%;
  height: 100%;
  transition: all 0.5s ease-out;
}
.sliderGalerieItem img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.project .shadow-left,
.project .shadow-right,
.project .shadow-up,
.project .shadow-bottom {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.8s cubic-bezier(0.34, 0.73, 0.25, 0.97);
}

.shadow-up {
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0.6) 0%,
    rgba(0, 0, 0, 0) 2%
  );
}
.shadow-bottom {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0) 1%);
}
.shadow-left {
  background: linear-gradient(
    90deg,
    rgba(0, 0, 0, 0.6) 0%,
    rgba(0, 0, 0, 0) 10%
  );
}
.shadow-right {
  background: linear-gradient(
    -90deg,
    rgba(0, 0, 0, 0.6) 0%,
    rgba(0, 0, 0, 0) 4%
  );
}
/* ! project open */
.page_project {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100vw;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}
.page_project .links a {
  display: inline-block;
  transform: translateY(20rem);
  text-transform: uppercase;
}

.slider_nav {
  display: flex;
  column-gap: 1000rem;
  margin-bottom: 250rem;
  margin-top: 250rem;
}
.slider_wrapper {
  position: absolute;
  display: flex;
  top: -55rem;
  z-index: 0;
  left: 0;
  height: 45rem;
  background-color: var(--HomeBG);
  transition: background-color 1.5s ease-out;
  padding-top: 5rem;
  padding-bottom: 5rem;
}
.slider_wrapper figure {
  opacity: 0;
  transition: all 0.3s ease-out;
  width: 50rem;
  height: 0rem;
  margin-left: 5rem;
  margin-right: 5rem;
  transform-origin: top;
}

.slider_wrapper figure img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.slider_wrapper figure img:hover {
  cursor: pointer;
}
.slider_selector {
  position: absolute;
  top: -55rem;
  left: 0rem;
  box-sizing: border-box;
  /* height: 50rem;
  width: 60rem; */
  height: 50rem;
  width: 0rem;
  opacity: 0;
  border: solid 0rem white;
  transition: all 0.3s ease-out;
  pointer-events: none;
}

.project_details {
  font-family: "Oswald", sans-serif;
  color: white;
  position: absolute;
  display: flex;
  flex-direction: column;
  left: 75rem;
  bottom: 50rem;
}
.project_details li {
  display: flex;
  justify-content: space-between;
  margin-bottom: 5rem;
  font-size: 12rem;
  font-weight: bold;
  column-gap: 40rem;
}

.project_details span li {
  transition: all 0.3s ease-out;
}

/* ?Annimation d'appartition des croix de navigation */
.croix-right,
.croix-left {
  width: 50rem;
  height: 50rem;
  /* background-color: red; */
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: all 0.3s ease-out;
}
.croix .middle {
  height: 0%;
  width: 3rem;
  background-color: white;
  border-radius: 100rem;
  transition: all 0.3s ease-out;
}
.croix .left {
  height: 3rem;
  width: 0%;
  background-color: white;
  border-radius: 100rem;
  transition: all 0.3s ease-out;
}
.croix .right {
  height: 3rem;
  width: 0%;
  background-color: white;
  border-radius: 100rem;
  transition: all 0.3s ease-out;
}
.phonePage {
  display: none;
}
/* responsive */
@media (max-width: 1024px) {
  .home {
    display: none;
  }
  .footer {
    display: none;
  }

  .logoHeader {
    margin-top: 50rem;
    width: 200rem;
    transform: translateY(0%);
  }
  .nav_link,
  .nav_link_close {
    display: none;
  }
  .aboutPage {
    display: none;
  }
  .phonePage {
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--HomeBG);
  }
  .phonePage .phonePage-contentText {
    margin-top: 400rem;
    margin-left: 75rem;
    text-transform: uppercase;
    opacity: 0.8;
  }
  .phonePage .phonePage-contentLink {
    margin-left: 75rem;
    margin-top: 100rem;
    display: flex;
    flex-direction: column;
    text-transform: uppercase;
    opacity: 0.8;
  }
  .phonePage p {
    font-size: 70rem;
    color: var(--Homesecondary);
    font-family: "Oswald", sans-serif;
    line-height: 1.5;
  }
  .phonePage a {
    font-size: 70rem;
    color: var(--Homesecondary);
    font-family: "Oswald", sans-serif;
    line-height: 1.5;
    text-decoration: underline var(--Homesecondary);
    margin-bottom: 20rem;
  }
  .phonePage .phonePage-contentText.secondContent {
    padding-top: 100rem;
    padding-bottom: 100rem;
    padding-left: 75rem;
    margin-left: 0;
    width: 100%;
    letter-spacing: 1.5rem;
    text-transform: none;
    position: absolute;
    bottom: 0rem;
    z-index: 999999;
    opacity: 1;

    background-color: var(--HomeBG);
  }
  .phonePage .phonePage-contentText.secondContent p {
    font-size: 45rem;
  }
  .phonePage .phonePage-contentText.point {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 48%;
    margin-top: 50rem;
    text-transform: none;
    font-size: 70rem;
  }
  .phonePage .phonePage-contentText.secondContent p {
    font-family: "Consolas", sans-serif;
    opacity: 0.8;
  }
}
@media (orientation: landscape) {
  .phonePage-contentText.phoneAbout :nth-child(2),
  .phonePage-contentText.phoneAbout :nth-child(3),
  .phonePage-contentText.phoneAbout :nth-child(4),
  .phonePage-contentText.phoneAbout :nth-child(5),
  .phonePage-contentText.phoneAbout :nth-child(6) {
    display: none;
  }
  .phonePage .phonePage-contentText.point {
    display: none;
  }
  .phonePage .phonePage-contentLink {
    margin-top: 30rem;
  }
  .phonePage a {
    font-size: 30rem;
    color: var(--Homesecondary);
    font-family: "Oswald", sans-serif;
    line-height: 1.5;
    text-decoration: underline var(--Homesecondary);
  }
}

/*? loader */

.loader {
  width: 100vw;
  height: 100vh;
  font-family: "Oswald", sans-serif;
  font-size: 15rem;
  text-transform: uppercase;
  font-weight: bold;
  color: var(--white);
  position: absolute;
  top: 0;
  right: 0;
  background-color: transparent;
  z-index: 100;
  transition: 0.3s;
  background-color: var(--HomeBG);
  opacity: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}
.loader span {
  text-align: right;
}
.loader span p {
  transform: translateY(0%);
  transition: 0.3s;
}
